#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xb4ae1687, "module_layout" },
	{ 0xc97597fd, "param_ops_string" },
	{ 0x83388caf, "param_ops_int" },
	{ 0x86810c80, "rndis_tx_fixup" },
	{ 0x72f670b5, "rndis_rx_fixup" },
	{ 0x5e4d4863, "rndis_status" },
	{ 0xd5907732, "usbnet_get_stats64" },
	{ 0x8342d46b, "usbnet_tx_timeout" },
	{ 0x9665dcfd, "eth_validate_addr" },
	{ 0x3c837c89, "eth_mac_addr" },
	{ 0xb9202e9b, "usbnet_start_xmit" },
	{ 0xb9776684, "usbnet_stop" },
	{ 0x8df75e82, "usbnet_open" },
	{ 0xbcdd531f, "usbnet_resume" },
	{ 0x694d63c0, "usbnet_suspend" },
	{ 0xa471dd03, "usbnet_disconnect" },
	{ 0x2d860a06, "usbnet_probe" },
	{ 0x9a21c2bc, "usb_deregister" },
	{ 0x8b393b0e, "usb_register_driver" },
	{ 0x6c2305e3, "wiphy_register" },
	{ 0x6932b1cd, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3099d6d9, "__mutex_init" },
	{ 0xf673e4f7, "wiphy_new_nm" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x57bd6d5, "netdev_err" },
	{ 0xde4a59b3, "usbnet_purge_paused_rxq" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc1b99792, "ieee80211_channel_to_freq_khz" },
	{ 0x22569f8b, "netif_carrier_off" },
	{ 0x4653ca2, "cfg80211_disconnected" },
	{ 0x5f17f885, "cfg80211_ibss_joined" },
	{ 0x985be2a1, "cfg80211_roamed" },
	{ 0x4455c4f6, "netif_carrier_on" },
	{ 0x9cc19ec9, "usbnet_resume_rx" },
	{ 0xc91f6aad, "cfg80211_cqm_rssi_notify" },
	{ 0x2d9a5f98, "kmem_cache_alloc_trace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x88fdee1b, "kmalloc_caches" },
	{ 0xd6ce4dfb, "cfg80211_put_bss" },
	{ 0x2be6625, "ieee80211_get_channel_khz" },
	{ 0xb1e12d81, "krealloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3cd61061, "_raw_spin_unlock_bh" },
	{ 0x314e39e9, "_raw_spin_lock" },
	{ 0x87693009, "cfg80211_scan_done" },
	{ 0xc09b7700, "wiphy_free" },
	{ 0xf1ae74c7, "wiphy_unregister" },
	{ 0xeac97f5d, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xbca1b100, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0xe22f9518, "mutex_unlock" },
	{ 0xc6d30aa7, "rndis_command" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfe7d434, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6ede39fa, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb6252394, "cfg80211_connect_done" },
	{ 0xdcb764ad, "memset" },
	{ 0xb7c9db75, "cfg80211_michael_mic_failure" },
	{ 0x655d7626, "usbnet_pause_rx" },
	{ 0xc7eef31b, "cfg80211_pmksa_candidate_notify" },
	{ 0x91b643d9, "__dynamic_netdev_dbg" },
	{ 0x581e677c, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9514151a, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "6146B9093F7565359CCA300");

MODULE_INFO(suserelease, "SLE15-SP3");
